package org.implab.gradle.common.utils;

import java.util.Map;

import org.gradle.api.plugins.ExtensionAware;

public class ExtraProps {

    public static Map<String, Object> of(Object target) {
        if (target instanceof ExtensionAware ext)
            return ext.getExtensions().getExtraProperties().getProperties();
        else
            return Map.of();
    }

}
